Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezarticle/user/extendedsearch.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $t
| $contents =& eZArticle::shortContents()

## Variable Documentation

## ◆ $contents

$contents =& eZArticle::shortContents()

Definition at line 52 of file ezarticle/user/extendedsearch.php.

Referenced by eZArticleRenderer\__construct(), eZEzGenerator\__construct(), eZQDomGenerator\__construct(), eZSimpleGenerator\__construct(), eZTechGenerator\__construct(), eZDFSFileHandlerMySQLiBackend\_fetchContents(), eZDFSFileHandlerMySQLiBackend\_storeContents(), eZDFSFileHandlerMySQLiBackend\_storeContentsInner(), eZDFSFileHandlerDFSBackend\createFile(), eZDFSFileHandlerDFSBackend\createFileOnDFS(), eZArticle\createIndex(), eZForumMessage\createIndex(), createSmallArticleList(), eZQDomGenerator\decodeTable(), eZArticleGenerator\decodeXML(), eZDFSFileHandler\fetchContents(), eZDFSFileHandler\fileFetchContents(), eZFSFileHandler\fileStoreContents(), eZDFSFileHandler\fileStoreContents(), eZArticleGenerator\generateXML(), eZWebDAVContentBackend\getCollectionMembers(), newArticle(), parse(), eZDebug\printReportInternal(), renderFrontpageArticle(), renderFrontpageArticleDouble(), eZArticle\searchByShortContent(), eZArticle\store(), eZProduct\store(), eZFSFileHandler\storeContents(), eZDFSFileHandler\storeContents(), and eZWebDAVContentBackend\storeUploadedFile().

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 35 of file ezarticle/user/extendedsearch.php.

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 37 of file ezarticle/user/extendedsearch.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezarticle/user/" . $ini->variable( "eZArticleMain", "TemplateDir" ),
"kernel/ezarticle/user/intl/", $Language, "extendedsearch.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezarticle/user/extendedsearch.php:37
$ini
$ini
Definition: ezarticle/user/extendedsearch.php:35

Definition at line 39 of file ezarticle/user/extendedsearch.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.